﻿using Firebase.Database;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Firebase;
using Firebase.Database.Query;
using Microsoft.Extensions.Logging;
using System.Diagnostics;

namespace BeSafePlus.Platforms.Android.AndroidSensor
{
    public static class FirebaseHelper
    {
        public static async Task UpdateServiceState(bool isRunning)
        {
            try
            {
                var firebase = IPlatformApplication.Current?.Services.GetService<FirebaseClient>();
                if (firebase != null)
                {
                    Debug.WriteLine("Firebase client is available.");
                    await firebase.Child("service_status").PutAsync(new { running = isRunning });

                    Debug.WriteLine("Service state updated successfully in Firebase.");
                }
                else
                {
                    Debug.WriteLine("Firebase client is null or not available.");
                }
            }
            catch (Exception ex)
            {
                Debug.WriteLine($"Error updating service state: {ex.Message}");
            }
        }
    }

}
