﻿using Android.Content;
using Android.Util;
using AndroidX.Work;
using BeSafePlus.Extensions;
using BeSafePlus.Platforms.Android.Scheduling;
using BeSafePlus.Platforms.Android.Workers;
using BeSafePlus.Services.Interfaces;

namespace BeSafePlus.Platforms.Android.CustomBroadcastReceivers
{
    [BroadcastReceiver(Enabled = true, Exported = false)]
    public class MidnightReportReceiver : BroadcastReceiver
    {
        public override void OnReceive(Context? context, Intent? intent)
        {
            EnqueueWorker(context);
        }

        private static void EnqueueWorker(Context? context)
        {

            if (context == null) return;

            var workRequest = new OneTimeWorkRequest.Builder(Java.Lang.Class.FromType(typeof(BeSafeReportWorker)))
                .SetExpedited(OutOfQuotaPolicy.RunAsNonExpeditedWorkRequest!)
                .SetBackoffCriteria(BackoffPolicy.Linear!, Java.Time.Duration.OfMinutes(5)!)
                .Build();

            WorkManager.GetInstance(context).Enqueue(workRequest);
    }
    }
}
