﻿using CommunityToolkit.Mvvm.ComponentModel;
using CommunityToolkit.Mvvm.Input;
using System;
using System.Threading.Tasks;
using BeSafePlus.Models;
using BeSafePlus.Database;
using System.Collections.ObjectModel;

namespace BeSafePlus.ViewModels
{
    public partial class ProfileViewModel : ObservableObject
    {
        private readonly ILocalDatabase _database;
        public ProfileViewModel(ILocalDatabase database)
        {
            _database = database;
        }
        public async Task LoadProfile()
        {
            ProfileName = await _database.GetName();

            SelectedGender = await _database.GetGender();

            ProfileAge = await _database.GetAge();

            ProfileHeight = await _database.GetHeight();

            ProfileWeight = await _database.GetWeight();
        }

        private string _profileName;
        public string ProfileName
        {
            get => _profileName;
            set => SetProperty(ref _profileName, value);
        }

        private string _selectedGender;
        public string SelectedGender
        {
            get => _selectedGender;
            set => SetProperty(ref _selectedGender, value);
        }
        public ObservableCollection<string> GenderOptions { get; }

        private int _profileAge;
        public int ProfileAge
        {
            get => _profileAge;
            set => SetProperty(ref _profileAge, value);
        }

        private int _profileHeight;
        public int ProfileHeight
        {
            get => _profileHeight;
            set => SetProperty(ref _profileHeight, value);
        }

        private string _profileWeight;
        public string ProfileWeight
        {
            get => _profileWeight;
            set => SetProperty(ref _profileWeight, value);
        }
    }
}